uniform highp vec2 vpRatio;
uniform highp vec2 vpSize;

attribute vec4 inPos;
attribute vec2 inUV0;
varying mediump vec2 uv0;
varying mediump vec2 uv1;
varying mediump vec2 uv2;
varying mediump vec2 uv3;
varying mediump vec2 uv4;

void main()
{
    gl_Position = vec4(inPos.xy, 0.0, 1.0);

    mediump vec2 invPixel = vec2(2.0) / vpSize;
    uv0 = inUV0 * vpRatio;
    uv1 = uv0 + vec2( 0.4 * invPixel.x, -1.2 * invPixel.y);
    uv2 = uv0 + vec2(-1.2 * invPixel.x, -0.4 * invPixel.y);
    uv3 = uv0 + vec2( 1.2 * invPixel.x,  0.4 * invPixel.y);
    uv4 = uv0 + vec2(-0.4 * invPixel.x,  1.2 * invPixel.y);
}
